// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

import java.util.List;

import static cz.senslog.connector.tools.json.BasicJson.objectToJson;

public class MultiSensorMeasurements extends MultiMeasurement {

    private String resourceId;
    private Location location;
    private List<SensorMeasurement> observations;

    public MultiSensorMeasurements() {
        super(MeasurementType.SENSOR);
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public List<SensorMeasurement> getObservations() {
        return observations;
    }

    public void setObservations(List<SensorMeasurement> observations) {
        this.observations = observations;
    }

    @Override
    public String toJson() {
        return objectToJson(this);
    }
}
